Package org.eclipse.ui.texteditor.stickyscroll

# Interface IStickyLine

All Known Implementing Classes:
  `StickyLine`

public interface IStickyLine
Representation of a sticky line.

Since:
  3.20

## Method Summary

Modifier and Type
Method
Description
`int`
`getLineNumber()`
Returns the line number of the sticky line.
`StyleRange[]`
`getStyleRanges()`
Returns the style ranges of the sticky line.
`String`
`getText()`
Returns the text of the sticky line.

## Method Details

### getLineNumber

int getLineNumber()
Returns the line number of the sticky line.

Returns:
  the line number of the sticky line

### getText

String getText()
Returns the text of the sticky line.

Returns:
  the text of the sticky line

### getStyleRanges

StyleRange[] getStyleRanges()
Returns the style ranges of the sticky line.

Returns:
  the style ranges of the sticky line